Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jsxe.gui
Class EnhancedDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          net.sourceforge.jsxe.gui.EnhancedDialog

All Implemented Interfaces:
  Accessible, ImageObserver, MenuContainer, RootPaneContainer, Serializable, WindowConstants

Direct Known Subclasses:
  ActivityLogDialog, DirtyFilesDialog, DocumentOptionsDialog, ErrorListDialog, OptionsDialog, PluginManagerDialog

public abstract class EnhancedDialog
extends JDialog

A dialog box that handles window closing, the ENTER key and the ESCAPE key for you. All you have to do is implement ok() (called when Enter is pressed) and cancel() (called when Escape is pressed, or window is closed).

For consistency, plugins should implement this class for any dialogs that are displayed by the plugin

Version:
  $Id: EnhancedDialog.java 932 2006-06-09 00:52:03Z ian_lewis $
Author:
  Slava Pestov, Ian Lewis (IanLewis@member.fsf.org)
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected net.sourceforge.jsxe.gui.EnhancedDialog.KeyHandler` | `keyHandler`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`EnhancedDialog(Dialog parent, String title, boolean modal)` Creates a new EnhancedDialog as a child of a frame.
`EnhancedDialog(Frame parent, String title, boolean modal)` Creates a new EnhancedDialog as a child of a frame.

Method Summary
`abstract void` | `cancel()` The method that is called when escape is pressed when viewing the dialog.
`static void` | `loadGeometry(Window win, String name)` Loads a windows's geometry from the properties.
`abstract void` | `ok()` The method that is called when enter is pressed when viewing the dialog.
`static void` | `saveGeometry(Window win, String name)` Saves a window's geometry to the properties.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keyHandler

    protected net.sourceforge.jsxe.gui.EnhancedDialog.KeyHandler keyHandler

Constructor Detail

### EnhancedDialog

    public EnhancedDialog(Frame parent,
                          String title,
                          boolean modal)

  Creates a new EnhancedDialog as a child of a frame.

Parameters:
  `parent` - the parent frame
  `title` - the title of the dialog
  `modal` - true of the dialog is modal

### EnhancedDialog

    public EnhancedDialog(Dialog parent,
                          String title,
                          boolean modal)

  Creates a new EnhancedDialog as a child of a frame.

Parameters:
  `parent` - the parent frame
  `title` - the title of the dialog
  `modal` - true of the dialog is modal

Method Detail

### loadGeometry

    public static void loadGeometry(Window win,
                                    String name)

  Loads a windows's geometry from the properties. The geometry is loaded from the `name.x`, `name.y`, `name.width` and `name.height` properties.

  Parameters:
    `win` - The window
    `name` - The window name

### saveGeometry

    public static void saveGeometry(Window win,
                                    String name)

  Saves a window's geometry to the properties. The geometry is saved to the `name.x`, `name.y`, `name.width` and `name.height` properties.

  Parameters:
    `win` - The window
    `name` - The window name

### ok

    public abstract void ok()

  The method that is called when enter is pressed when viewing the dialog. In options dialogs this would corresponding to when the OK button is pressed.

### cancel

    public abstract void cancel()

  The method that is called when escape is pressed when viewing the dialog. In options dialogs this would corresponding to when the Cancel button is pressed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD